# Adhan
*High precision prayer time library*

[![Build Status](https://travis-ci.org/batoulapps/Adhan.svg?branch=master)](https://travis-ci.org/batoulapps/Adhan)

Adhan is a well tested and well documented library for calculating Islamic prayer times. All astronomical calculations 
are high precision equations directly from the book 
[“Astronomical Algorithms” by Jean Meeus](http://www.willbell.com/math/mc1.htm). This book is recommended 
by the Astronomical Applications Department of the U.S. Naval Observatory and the Earth System Research Laboratory 
of the National Oceanic and Atmospheric Administration.

## Languages

Adhan is available for the following languages:

- Swift [(Usage and examples)](Swift/)
- JavaScript [(Usage and examples)](JavaScript/)
- Java [(Usage and examples)](java/)

## Roadmap

This is an initial release of the library. The following items are planned:

- Porting to additional languages
- Comprehensive unit tests for various locations and settings
- Full explanation of the equations used and prayer time calculation
- Suggested method for a country/city
- Convenience methods for determining current prayer/next prayer

## Contributing

Adhan is made publicly available to provide a well tested and well documented library for Islamic prayer times to all 
developers. We accept feature contributions provided that they are properly documented and include the appropriate 
unit tests. We are also looking for contributions in the form of unit tests of of prayer times for different 
locations, we do ask that the source of the comparison values be properly documented.

## License

Adhan is available under the MIT license. See the LICENSE file for more info.
